com.threerings.parlor.card.client

## Class CardGameDecoder

- java.lang.Object
- - com.threerings.presents.client.InvocationDecoder
  - - com.threerings.parlor.card.client.CardGameDecoder

    public class CardGameDecoder
    extends com.threerings.presents.client.InvocationDecoder

Dispatches calls to a `CardGameReceiver` instance.

### Field Summary

Fields
`static int` `CARDS_TRANSFERRED_BETWEEN_PLAYERS` The method id used to dispatch `CardGameReceiver.cardsTransferredBetweenPlayers(int, int, int)` notifications.
`static int` `RECEIVED_CARDS_FROM_PLAYER` The method id used to dispatch `CardGameReceiver.receivedCardsFromPlayer(int, com.threerings.parlor.card.data.Card[])` notifications.
`static int` `RECEIVED_HAND` The method id used to dispatch `CardGameReceiver.receivedHand(int, com.threerings.parlor.card.data.Hand)` notifications.
`static String` `RECEIVER_CODE` The generated hash code used to identify this receiver class.
`static int` `SENT_CARDS_TO_PLAYER` The method id used to dispatch `CardGameReceiver.sentCardsToPlayer(int, com.threerings.parlor.card.data.Card[])` notifications.

### Fields inherited from class com.threerings.presents.client.InvocationDecoder

`receiver`

### Constructor Summary

Constructors
Constructor and Description
`CardGameDecoder(CardGameReceiver receiver)` Creates a decoder that may be registered to dispatch invocation service notifications to the specified receiver.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispatchNotification(int methodId, Object[] args)`
`String` `getReceiverCode()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### RECEIVER_CODE

    public static final String RECEIVER_CODE

The generated hash code used to identify this receiver class.

See Also:
  Constant Field Values

#### CARDS_TRANSFERRED_BETWEEN_PLAYERS

    public static final int CARDS_TRANSFERRED_BETWEEN_PLAYERS

The method id used to dispatch `CardGameReceiver.cardsTransferredBetweenPlayers(int, int, int)` notifications.

See Also:
  Constant Field Values

#### RECEIVED_CARDS_FROM_PLAYER

    public static final int RECEIVED_CARDS_FROM_PLAYER

The method id used to dispatch `CardGameReceiver.receivedCardsFromPlayer(int, com.threerings.parlor.card.data.Card[])` notifications.

See Also:
  Constant Field Values

#### RECEIVED_HAND

    public static final int RECEIVED_HAND

The method id used to dispatch `CardGameReceiver.receivedHand(int, com.threerings.parlor.card.data.Hand)` notifications.

See Also:
  Constant Field Values

#### SENT_CARDS_TO_PLAYER

    public static final int SENT_CARDS_TO_PLAYER

The method id used to dispatch `CardGameReceiver.sentCardsToPlayer(int, com.threerings.parlor.card.data.Card[])` notifications.

See Also:
  Constant Field Values

### Constructor Detail

#### CardGameDecoder

    public CardGameDecoder(CardGameReceiver receiver)

Creates a decoder that may be registered to dispatch invocation service notifications to the specified receiver.

### Method Detail

#### getReceiverCode

    public String getReceiverCode()

Specified by:
  `getReceiverCode` in class `com.threerings.presents.client.InvocationDecoder`

#### dispatchNotification

    public void dispatchNotification(int methodId,
                                     Object[] args)

Overrides:
  `dispatchNotification` in class `com.threerings.presents.client.InvocationDecoder`